Favicon

You are here: Home > API Reference > AOSP > Android (Non Gms) Enterprise > Update non-GMS Android enterprise

Update non-GMS Android enterprise

Required Permission: mdm.aosp.enterprise.update

Update the non-GMS Android enterprise configuration for the organization

PUT
https://api.applivery.io/v1/organizations/{organizationId}/mdm/aosp/enterprise
curl -X PUT "https://api.applivery.io/v1/organizations/{organizationId}/mdm/aosp/enterprise" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "configuration": {
    "primaryColor": "string",
    "contactEmail": "[email protected]",
    "contactPhone": "string",
    "logo": {}
  },
  "pushNotificationProvider": "string"
}'
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/aosp/enterprise", {
  method: "PUT",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "configuration": {
      "primaryColor": "string",
      "contactEmail": "[email protected]",
      "contactPhone": "string",
      "logo": {}
    },
    "pushNotificationProvider": "string"
  }),
});

const data = await response.json();
import requests

response = requests.put(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/aosp/enterprise",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
    json={
      "configuration": {
        "primaryColor": "string",
        "contactEmail": "[email protected]",
        "contactPhone": "string",
        "logo": {}
      },
      "pushNotificationProvider": "string"
    },
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

Body Params application/json
configuration object optional
Branding and contact information exposed by the AOSP enterprise.
primaryColor string optional
≤ 7 characters
contactEmail string optional
Match pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$ · Format: email
contactPhone string optional
logo object optional
url string required
Format: uri
sha256Hash string required
pushNotificationProvider string optional
Optional push notification provider override used for this enterprise or resource.
Match pattern: ^[a-fA-F0-9]{24}$
{
    "configuration": {
        "primaryColor": "string",
        "contactEmail": "[email protected]",
        "contactPhone": "string",
        "logo": {
            "url": "https://example.com",
            "sha256Hash": "string"
        }
    },
    "pushNotificationProvider": "string"
}

Responses

200 Response application/json
status boolean required
data object required
id string required
Identifier of the AOSP enterprise configuration.
Match pattern: ^[a-fA-F0-9]{24}$
organizationId string required
Identifier of the organization that owns the AOSP enterprise resource.
Match pattern: ^[a-fA-F0-9]{24}$
configuration object required
Branding and contact information exposed by the AOSP enterprise.
primaryColor string optional
Primary brand color used by the enrollment experience.
≤ 7 characters
contactEmail string optional
Support email shown to users in enterprise-controlled flows.
Match pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$ · Format: email
contactPhone string optional
Support phone number shown to users in enterprise-controlled flows.
logo object optional
Optional logo asset used by the enrollment experience.
pushNotificationProvider string optional
Optional push notification provider override used for this enterprise or resource.
Match pattern: ^[a-fA-F0-9]{24}$
updatedAt string required
Timestamp when the resource was last updated.
createdAt string required
Timestamp when the resource was created.
{
    "status": true,
    "data": {
        "id": "string",
        "organizationId": "string",
        "configuration": {
            "primaryColor": "string",
            "contactEmail": "[email protected]",
            "contactPhone": "string",
            "logo": {
                "url": "https://example.com",
                "sha256Hash": "string"
            }
        },
        "pushNotificationProvider": "string",
        "updatedAt": "string",
        "createdAt": "string"
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5050
message string optional
Feature not allowed for you billing plan
{
    "status": false,
    "error": {
        "code": 5050,
        "message": "Feature not allowed for you billing plan"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}